no se puede cargar dicho archivo – 2.2 / gherkin_lexer_en, ¿cómo solucionarlo?

Necesito una pequeña ayuda. ¿Cómo resuelvo este problema?

Cuando llamo cucumber me sale el siguiente error:

  *** WARNING: You must use ANSICON 1.31 or higher (https://github.com/adoxa/ansic on/) to get coloured output on Windows WARNING: cannot load such file -- 2.2/gherkin_lexer_en Couldn't load 2.2/gherkin_lexer_en The $LOAD_PATH was: lib C:/Ruby22/lib/ruby/gems/2.2.0/gems/cucumber-1.3.19/bin/../lib C:/Ruby22/lib/ruby/gems/2.2.0/gems/builder-3.2.2/lib C:/Ruby22/lib/ruby/gems/2.2.0/gems/diff-lcs-1.2.5/lib C:/Ruby22/lib/ruby/gems/2.2.0/gems/multi_json-1.11.0/lib C:/Ruby22/lib/ruby/gems/2.2.0/gems/gherkin-2.12.2-x86-mingw32/lib [...] 

Sistema:

  • Windows 8.1 x64
  • Instalador Ruby 2.2.1

Tengo respuesta: https://github.com/cucumber/cucumber/issues/830#issuecomment-90837546

Me temo que Pepino en Windows / Ruby requiere ruby ​​2.0.0 (x86). La razón es que la gem de pepinillo todavía no se envía con binarios comstackdos para versiones más recientes o Ruby, y no para x64.

Estamos trabajando en un Gherkin3 que abordará este problema. Vea este post para el fondo. No puedo darte una ETA, pero faltan por lo menos unos meses.

  • Descargo Ruby 2.0 x86 de http://rubyinstaller.org/downloads/
  • Instalar exe
  • Comando en cmd: gem install calabash-android
  • ERROR: Error installing calabash-android: The 'json' native gem requires installed build tools.
  • Descargar desde http://rubyinstaller.org/downloads/ DevKit-mingw64-32-4.7.2-20130224-1151-sfx.exe
  • Extraer DevKit a la ruta C: \ Ruby200 \ DevKit
  • Ejecuta cd C: \ Ruby200 \ DevKit
  • Ejecutar ruby ​​dk.rb init
  • Ejecutar ruby ​​dk.rb review
  • Ejecutar ruby ​​dk.rb install
  • Y de nuevo usa el comando gem install calabash-android

Simplemente lo resolví eliminando Gherkin y reinstalándolo mediante la bundle install

 gem uninstall gherkin >> select all bundle install 

Este problema se parece a este problema . Tal vez usted puede resolver siguiendo los comentarios en él. (y)

comentó sanjaykumar5115, mi problema se resolvió después de desinstalar gherkin e instalar gherkin-2.12.1-x86-mingw32

    Intereting Posts